// Aufgabe3.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <conio.h>

using namespace std;

//-------------------------------------------------------------------------
// konstante Faktoren
//-------------------------------------------------------------------------
int AnzahlHotels = 3;

//-------------------------------------------------------------------------
// Eingaben und berechnete Werte
//-------------------------------------------------------------------------
double Eingabe;
double Minimum;
double Maximum;
double Summe;
double Durchschnitt;

//=========================================================================
// Hauptprogramm
//=========================================================================
int _tmain(int argc, _TCHAR* argv[])
{
	for (int i=0; i<AnzahlHotels; i++)
	{
		cout << setw(2) << (i+1) << ". Hoteleinnahme...: ";
		cin  >> Eingabe;

		Summe = Summe + Eingabe;

		if (0 == i)
		{
			Maximum = Eingabe;
			Minimum = Eingabe;
		}
		else
		{
			if (Maximum < Eingabe)
			{
				Maximum = Eingabe;
			}

			if (Minimum > Eingabe)
			{
				Minimum = Eingabe;
			}
		}
	}

	Durchschnitt = Summe / AnzahlHotels;

	//----------------------------------------------------------------------
	// Ausgabe 
	//----------------------------------------------------------------------
	cout << endl;

	//----------------------------------------------------------------------
	// ios_base::fmtflags oldflags = cout.flags(ios::fixed);
	// streamsize         oldprec  = cout.precision(2);
	//----------------------------------------------------------------------
    // ios::fixed    - Mit fester Anzahl von Nachkommastellen anzeigen 
    // ios::showpos  - Auch positive Zahlen mit Vorzeichen anzeigen 
	// ios::internal - Auffllen auf Ausgabebreite zwischen Vorzeichen & Zahl
	// Durch das Bit-Oder zeichen (| = AltGr auf <) 
	//----------------------------------------------------------------------
	int  oldflags = cout.flags(ios::fixed | ios::showpos | ios::internal);
	int  oldprec  = cout.precision(2);
	char oldfill  = cout.fill(' ');
	
	cout << "Bestes Ergebnis (HudeFaBiPB)  : " << setw(10) << Maximum      << endl;
	cout << "Schlechtestes Ergebnis (Lager): " << setw(10) << Minimum      << endl;
	cout << "Durchschnitt..................: " << setw(10) << Durchschnitt << endl;

	cout.precision (oldprec);
	cout.fill      (oldfill);
	cout.flags     (oldflags);

	_getch(); // getch() ist deprecated
	return 0;
}

