// Aufgabe_Arrays.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <conio.h>

using namespace std;

#define ANZAHL     10 
#define ANZAHLHALB ((int)ANZAHL/2)

int Eingaben [ANZAHL];

int _tmain(int argc, _TCHAR* argv[])
{
	//----------------------------------------------------------------------
	// Einlesen
	//----------------------------------------------------------------------
	for (int i = 0; i < ANZAHL; i++)
	{
		cout << setw(2) << (i+1) << ". Zahl (Idx " << setw(2) << i <<"): ";
		cin  >> Eingaben [i];
	}

	cout << endl;

	//----------------------------------------------------------------------
	// Bilden Sie die Summe ber alle Zahlen
	//----------------------------------------------------------------------
	long long Summe = 0;
	for (int i = 0; i < ANZAHL; i++)
	{
		Summe = Summe + Eingaben [i];
	}

	//----------------------------------------------------------------------
	// Bilden Sie die Summe ber alle geraden Zahlen.
	//----------------------------------------------------------------------
	long long SummeGeradeZahlen = 0;
	for (int i = 0; i < ANZAHL; i++)
	{
		if (Eingaben[i] % 2 == 0)
		{
			SummeGeradeZahlen = SummeGeradeZahlen + Eingaben [i];
		}
	}

	//----------------------------------------------------------------------
	// Bilden Sie das Produkt ber alle Zahlen mit ungeradem Index.
	//----------------------------------------------------------------------
	long long ProduktUngeraderIndex = 1;
	for (int i = 1; i < ANZAHL; i+=2)
	{
		ProduktUngeraderIndex = ProduktUngeraderIndex * Eingaben [i];
	}

	//----------------------------------------------------------------------
	// Bilden Sie das Produkt ber die ersten fnf Zahlen.
	//----------------------------------------------------------------------
	long long ProduktErsteFuenf = 1;
	for (int i = 0; i < ANZAHLHALB; i++)
	{
		ProduktErsteFuenf = ProduktErsteFuenf * Eingaben [i];
	}

	//----------------------------------------------------------------------
	// Ziehen Sie die Summe der ersten vom Produkt der zweiten fnf
	// Zahlen ab.
	//----------------------------------------------------------------------
	long long SummeErsteFuenf = 0;
	for (int i = 0; i < ANZAHLHALB; i++)
	{
		SummeErsteFuenf = SummeErsteFuenf + Eingaben [i];
	}

	long long ProduktZweiteFuenf = 1;
	for (int i = ANZAHLHALB; i < ANZAHL; i++)
	{
		ProduktZweiteFuenf = ProduktZweiteFuenf * Eingaben [i];
	}
	long long ErgebnisProdMinusSumme = ProduktZweiteFuenf - SummeErsteFuenf;

	//----------------------------------------------------------------------
	// Bilden Sie den Mittelwert aller Zahlen mit geradem Index.
	//----------------------------------------------------------------------
	long long SummeGeraderIndex = 0;
	int       AnzahlGerade      = 0;
	for (int i = 0; i < ANZAHL; i+=2)
	{
		AnzahlGerade++;
		SummeGeraderIndex = SummeGeraderIndex + Eingaben [i];
	}
	long double MittelwertGeraderIndex = SummeGeraderIndex / AnzahlGerade;

	//----------------------------------------------------------------------
	// Bilden Sie den Mittelwert aller ungeraden Zahlen.
	//----------------------------------------------------------------------
	long long SummeUngeradeZahlen = 0;
	int       AnzahlUngerade      = 0;
	for (int i = 0; i < ANZAHL; i++)
	{
		if (Eingaben[i] % 2 == 1)
		{
			AnzahlUngerade++;
			SummeUngeradeZahlen = SummeUngeradeZahlen + Eingaben [i];
		}
	}
	long double MittelwertUngeradeZahlen = SummeUngeradeZahlen / AnzahlUngerade;

	//----------------------------------------------------------------------
	// Ausgeben
	//----------------------------------------------------------------------
	cout << "Summe aller Zahlen...............: " << setw(10) << Summe                    << endl;
	cout << "Summe aller geraden Zahlen.......: " << setw(10) << SummeGeradeZahlen        << endl;
	cout << "Produkt ungerader Index..........: " << setw(10) << ProduktUngeraderIndex    << endl;
	cout << "Produkt 1. fuenf Zahlen..........: " << setw(10) << ProduktErsteFuenf        << endl;
	cout << "Produkt 2. fuenf - Summe 1. fuenf: " << setw(10) << ErgebnisProdMinusSumme   << endl;
	cout << "Mittelwert Zahlen gerader Index..: " << setw(10) << MittelwertGeraderIndex   << endl;
	cout << "Mittelwert ungerade Zahlen.......: " << setw(10) << MittelwertUngeradeZahlen << endl;

	_getch();
	return 0;
}

