// Aufgabe1.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <conio.h>

using namespace std;

//-------------------------------------------------------------------------
// konstante Faktoren
//-------------------------------------------------------------------------
double FixkostenFaktor = 0.7;   // 70 % festgelegt
double MwstFaktor      = 0.15;  // Mwst Steuer im Jahr x
double RabattFaktor    = 0.9;   // 10 % Rabatt

//-------------------------------------------------------------------------
// Eingaben und berechnete Werte
//-------------------------------------------------------------------------
double Einkaufspreis, Verkaufspreis, Fixkosten, Mwst, 
	   GewinnProzent, Gewinn, Rabattpreis;

//=========================================================================
// Hauptprogramm
//=========================================================================
int _tmain(int argc, _TCHAR* argv[])
{
	//---------------------------------------------------------------------
	// Eingabe
	//---------------------------------------------------------------------
	cout << "Einkaufspreis...: ";
	cin  >> Einkaufspreis;
	cout << "Gewinn (in %)...: ";
	cin  >> GewinnProzent;
	cout << endl;

	//---------------------------------------------------------------------
	// Verarbeitung
	//---------------------------------------------------------------------
	Fixkosten     = Einkaufspreis * FixkostenFaktor;
	Mwst          = (Einkaufspreis + Fixkosten) * MwstFaktor;
	Gewinn        = Einkaufspreis / 100 * GewinnProzent;
	Verkaufspreis = Einkaufspreis + Fixkosten + Gewinn + Mwst;
	Rabattpreis   = Verkaufspreis * RabattFaktor;

	//---------------------------------------------------------------------
	// Ausgabe
	//---------------------------------------------------------------------
	cout << fixed;
	cout << setprecision(2);
	cout << "Einkaufspreis...: " << setw(7) << Einkaufspreis << " Na" << endl;
	cout << "Fixkosten.......: " << setw(7) << Fixkosten     << " Na" << endl;
	cout << "Mehrwertsteuer..: " << setw(7) << Mwst          << " Na" << endl;
	cout << "Gewinn..........: " << setw(7) << Gewinn        << " Na" << endl;
	cout << "----------------------------"  << endl;
	cout << "Verkaufspreis...: " << setw(7) << Verkaufspreis << " Na" << endl;
	cout << "Rabattpreis.....: " << setw(7) << Rabattpreis   << " Na" << endl;

	_getch(); // getch() ist deprecated
	return 0;
}

