// Aufgabe2.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <conio.h>

using namespace std;

//-------------------------------------------------------------------------
// konstante Faktoren
//-------------------------------------------------------------------------
double FixkostenFaktor              = 0.7;   // 70 % festgelegt
double FixkostenFaktorSonderangebot = 0.35;  // 35 % festgelegt
double MwstFaktor                   = 0.15;  // Mwst Steuer im Jahr x
double RabattFaktor                 = 0.9;   // 10 % Rabatt
double SonderangebotGewinnProzent   = 10;

//-------------------------------------------------------------------------
// Eingaben und berechnete Werte
//-------------------------------------------------------------------------
double Einkaufspreis, Verkaufspreis, Fixkosten, Mwst, 
	   GewinnProzent, Gewinn, Rabattpreis;
char   SonderangebotEingabe = 'n';
bool   Sonderangebot;

//=========================================================================
// Hauptprogramm
//=========================================================================
int _tmain(int argc, _TCHAR* argv[])
{
	cout << "Einkaufspreis........: ";
	cin  >> Einkaufspreis;
	cout << "Sonderangebot (j/n)..: ";
	cin  >> SonderangebotEingabe;

	switch (SonderangebotEingabe)
	{
		case 'J': // fallthrough
		case 'j': Sonderangebot = true;
			      break;
		default : Sonderangebot = false;
			      break;
	}
	
	if (Sonderangebot)
	{
		// Gewinnprozente sind fix, Fixkosten reduziert
		GewinnProzent = SonderangebotGewinnProzent;
		Fixkosten     = Einkaufspreis * FixkostenFaktorSonderangebot;
	}
	else
	{
		// Gewinnprozente einlesen, Fixkosten normal
		cout << "Gewinn (in %)........: ";
	    cin  >> GewinnProzent;
		Fixkosten = Einkaufspreis * FixkostenFaktor;
	}
    cout << endl;

	Mwst          = (Einkaufspreis + Fixkosten) * MwstFaktor;
	Gewinn        = Einkaufspreis / 100 * GewinnProzent;
	Verkaufspreis = Einkaufspreis + Fixkosten + Gewinn + Mwst;
	Rabattpreis   = Verkaufspreis * RabattFaktor;

	cout << fixed;
	cout << setprecision(2);
	cout << "Einkaufspreis...: " << setw(7) << Einkaufspreis << " Na" << endl;
	cout << "Fixkosten.......: " << setw(7) << Fixkosten     << " Na" << endl;
	cout << "Mehrwertsteuer..: " << setw(7) << Mwst          << " Na" << endl;
	cout << "Gewinn..........: " << setw(7) << Gewinn        << " Na" << endl;
	cout << "----------------------------"  << endl;
	cout << "Verkaufspreis...: " << setw(7) << Verkaufspreis << " Na" << endl;
	
	if (!Sonderangebot)
	{
		cout << "Rabattpreis.....: " << setw(7) << Rabattpreis   << " Na" << endl;
	}

	_getch(); // getch() ist deprecated
	return 0;
}

