// Datumsausgabe.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.

#include "stdafx.h"
#include <iostream>
#include <iomanip>
#include <time.h>
#include <conio.h>

using namespace std;

void DatumDetails (ostream &ausgabe, time_t t)
{
	tm *Zeitinfo = localtime (&t); 
	int oldfill = ausgabe.fill('0');
	ausgabe << "Stunden     = " << setw(2) << Zeitinfo->tm_hour  << endl;
	ausgabe << "Minuten     = " << setw(2) << Zeitinfo->tm_min   << endl;
	ausgabe << "Sekunden    = " << setw(2) << Zeitinfo->tm_sec   << endl;
	ausgabe << "Sommerzeit  = " << (Zeitinfo->tm_isdst ? "Ja" : "Nein") << endl;

	// Tageszhlung beginnt bei 1, anders als Monatszhlung
	ausgabe << "Tag         = " << setw(2) << Zeitinfo->tm_mday  << endl;
	// Monatszhlung beginnt bei 0, nicht bei 1!
	ausgabe << "Monat       = " << setw(2) << Zeitinfo->tm_mon  +    1 << endl; // Monat zhlt ab 0
	// Jahreszhlung beginnt bei 1900!
	ausgabe << "Jahr        = " << setw(4) << Zeitinfo->tm_year + 1900 << endl; // Jahre seit 1900
	// Wochentag 0 = So / 1 = Mo ... 6 = Sa
	ausgabe << "Wochentag   = " << Zeitinfo->tm_wday  << endl;
	ausgabe << "Tag im Jahr = " << setw(3) << Zeitinfo->tm_yday  << endl;
	ausgabe.fill(oldfill);
}

int _tmain(int argc, _TCHAR* argv[])
{
	time_t  PCUhr    = time(NULL);
	tm     *Zeitinfo;

	Zeitinfo = localtime (&PCUhr); 
	cout <<	"Aufbereitung durch asctime: " << asctime(Zeitinfo) << endl;

	DatumDetails(cout, PCUhr);
	_getch();
	return 0;
}

